%define name mandriva-theme
%define theme Mandriva
%define version 1.2.11
%define scriptdir %{_datadir}/bootsplash/scripts/
%define mdk_bg %{_datadir}/mdk/backgrounds/

%define release %mkrel 1

%define theme_package(s) \
%{-s:%package %1} \
Summary: Mandriva %{?1:%1} theme for bootsplash and desktop background \
Prereq: bootsplash >= 2.0.2 \
Provides: mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme = %{version}-%{release} \
Obsoletes: mandrake_theme mandrake-theme mandrakelinux-theme \
Group: System/Configuration/Theme \
Requires: mandriva-theme-common \
Requires: mandriva-theme-screensaver \
Conflicts: kdebase-konsole <= 1:3.4.2-37mdk \
 \
%description %{-s:%1} \
This package contains the Mandriva %1 bootsplash theme \
with its images and configuration for different resolution as well as \
the the desktop background image. \
 \
%package %{-s:%1-}screensaver \
Summary: Mandriva %1 screensaver \
Group: System/Configuration/Theme \
Provides: mandriva-theme-screensaver \
 \
%description %{-s:%1-}screensaver \
This package contains the screensaver associated with the \
Mandriva %1 theme. \

%define theme_scripts() \
%post -n %{name}%{?2:-%2} \
if [ -z "$DURING_INSTALL" ]; then \
  if [ -x %scriptdir/switch-themes ]; then \
    %scriptdir/switch-themes %{1} \
  fi \
else \
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then \
    perl -pi -e 's/^\\s*SPLASH=.*/SPLASH=auto/; s/^\\s*THEME=.*/THEME=%{1}/' %_sysconfdir/sysconfig/bootsplash \
  fi \
  ln -s %{1} %_sysconfdir/bootsplash/themes/current \
fi \
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then \
  rm -f %mdk_bg/default.png \
  ln -s %{1}-1600x1200.png %mdk_bg/default.png \
fi \
if [ ! -f %mdk_bg/Mandriva.png -o -L %mdk_bg/Mandriva.png ]; then \
  rm -f %mdk_bg/Mandriva.png \
  ln -s %{1}-1600x1200.png %mdk_bg/Mandriva.png \
fi \
if [ -f %mdk_bg/Mandriva-root.png -a ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then \
  rm -f %mdk_bg/root/default.png \
  ln -s %{1}-root-1600x1200.png %mdk_bg/root/default.png \
fi \
\
%triggerpostun -n %{name}%{?2:-%2} -- mandriva-theme%{?2:-%2} < 1.2.4 \
for f in kdeglobals konsolerc; do \
  if [ "`readlink /usr/share/config/$f 2>/dev/null`" == "$f-%{1}" ]; then \
    rm -f /usr/share/config/$f \
  fi \
done \
\
%preun -n %{name}%{?2:-%2} \
if [ "$1" == "0" ]; then \
if [ -x %scriptdir/remove-theme ]; then \
  %scriptdir/remove-theme %{1} \
fi \
  link=`readlink %mdk_bg/default.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{1}" ]; then rm -f %mdk_bg/default.png;fi \
  link=`readlink %mdk_bg/Mandriva.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{1}" ]; then rm -f %mdk_bg/Mandriva.png;fi \
  link=`readlink %mdk_bg/root/Mandriva.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{1}-root" ]; then rm -f %mdk_bg/root/default.png;fi \
  link=`readlink %_sysconfdir/bootsplash/themes/current` \
  if [ "$link" == "%{1}" ]; then rm -f %_sysconfdir/bootsplash/themes/current;fi \
fi \

%define theme_files(s:) \
%files %{-s:%{-s*}} \
%defattr(-,root,root) \
%_datadir/bootsplash/themes/%{1} \
%config(noreplace) %_sysconfdir/bootsplash/themes/%{1}/* \
%_datadir/gfxboot/themes/%{1} \
%mdk_bg/%{1}* \
%{?!-s:%exclude %mdk_bg/%{1}-*-*x*.png} \
\
%files %{-s:%{-s*}-}screensaver \
%dir %_datadir/mdk/screensaver \
%_datadir/mdk/screensaver/%{2}-* \

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}.tar
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Prereq: bootsplash >= 3.1.10
BuildArchitectures: noarch
Buildrequires: gimp

%theme_package default
%theme_package -s Discovery
%theme_package -s Powerpack
%theme_package -s Powerpack+
%theme_package -s One
%theme_package -s Flash

%package common
Summary: Mandriva common theme for bootsplash
Group: System/Configuration/Theme

%description common
This package contains common images for the Mandriva bootsplash themes.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
%make install prefix=%{buildroot}

%theme_scripts Mandriva
%theme_scripts Mandriva-Discovery Discovery
%theme_scripts Mandriva-Powerpack Powerpack
%theme_scripts Mandriva-Powerpack+ Powerpack+
%theme_scripts Mandriva-One One
%theme_scripts Mandriva-Flash Flash

%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root)
%_datadir/bootsplash/Mandriva-common

%theme_files               Mandriva            IA-ORA
%theme_files -s Discovery  Mandriva-Discovery  IA-ORA
%theme_files -s Powerpack  Mandriva-Powerpack  IA-ORA
%theme_files -s Powerpack+ Mandriva-Powerpack+ SPRING
%theme_files -s One        Mandriva-One        IA-ORA
%theme_files -s Flash      Mandriva-Flash      IA-ORA



%changelog
* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 1.2.11-1mdv2007.1
+ Revision: 146719
- 1.2.11 (do not make progress bar overlap text, #29373)

* Wed Mar 14 2007 Pixel <pixel@mandriva.com> 1.2.10-1mdv2007.1
+ Revision: 143599
- compress even less gfxboot images

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 1.2.9-1mdv2007.1
+ Revision: 142425
- new release, 1.2.9:
- add gfxboot images

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 1.2.8-1mdv2007.1
+ Revision: 141638
- 1.2.8 (new vt images)

* Tue Mar 06 2007 Olivier Blin <oblin@mandriva.com> 1.2.7-1mdv2007.1
+ Revision: 134057
- 1.2.7 (add hibernate images back)

* Mon Mar 05 2007 Olivier Blin <oblin@mandriva.com> 1.2.6-1mdv2007.1
+ Revision: 133393
- 1.2.6 (new screensavers)

* Mon Mar 05 2007 Olivier Blin <oblin@mandriva.com> 1.2.5-1mdv2007.1
+ Revision: 132855
- 1.2.5 (convert hibernate images as jpg)
- 1.2.4
- remove old symlinks to old kde config files in trigger
- install common images (vt and hibernate) in /usr/share/bootsplash/Mandriva-common/images
- move vt backgrounds in common subpackage
- remove unused kdeglobals/konsolerc/kwinrc files (replaced by *-kde-config profiles)
- cosmetics
- factorize again
- use shell pattern to get background prefix instead of hardcoded values
- factorize post/preun

* Mon Feb 26 2007 Olivier Blin <oblin@mandriva.com> 1.2.3-2mdv2007.1
+ Revision: 126098
- bump release

  + Frederic Crozat <fcrozat@mandriva.com>
    - Don't include all backgrounds in free package

* Thu Feb 15 2007 Warly <warly@mandriva.com> 1.2.3-1mdv2007.1
+ Revision: 121414
- update tarball and spec for version 1.2.3

* Wed Feb 14 2007 Warly <warly@mandriva.com> 1.2.2-1mdv2007.1
+ Revision: 120981
- update tarball and spec for version 1.2.2

* Tue Feb 13 2007 Warly <warly@mandriva.com> 1.2.1-1mdv2007.1
+ Revision: 120472
- update tarball and spec for version 1.2.1

* Tue Feb 13 2007 Warly <warly@mandriva.com> 1.2.0-1mdv2007.1
+ Revision: 120446
- update tarball and spec for version 1.2.0
- Import mandriva-theme



* Tue Sep 19 2006 Warly <warly@mandriva.com> 1.1.4-1mdv2007.0
- fix lilo message generation

* Mon Sep 18 2006 Warly <warly@mandriva.com> 1.1.3-1mdv2007.0
- try to improve bootsplash jpeg image, store png image as source
  and regenerate during the build the jpeg with good quality

* Wed Sep 13 2006 Warly <warly@mandriva.com> 1.1.2-1mdv2007.0
- adjust progress bar color

* Tue Sep 12 2006 Warly <warly@mandriva.com> 1.1.1-1mdv2007.0
- some adjustment in the lilo images

* Wed Jul 12 2006 Warly <warly@mandriva.com> 1.1.0-1mdv2007.0
- test version for 2007

* Fri Sep 23 2005 Frederic Lepied <flepied@mandriva.com> 1.0.12-1mdk
- rebuild to have the common part in kdeglobals

* Tue Sep 13 2005 Warly <warly@mandriva.com> 1.0.11-1mdk
- fixed tux images for screensaver

* Thu Sep 13 2005 Pixel <pixel@mandriva.com> 1.0.10-2mdk
- we need special bootsplash to be installed to correctly upgrade from mandrakelinux-theme
  (cf bootsplash 3.1.8-3mdk changelog)

* Mon Sep 12 2005 Warly <warly@mandriva.com> 1.0.10-1mdk
- improve bootsplash image quality
- move text window
- change progress bar color

* Fri Sep  9 2005 Frederic Lepied <flepied@mandriva.com> 1.0.9-1mdk
- move konsolerc to this package

* Thu Sep 08 2005 Warly <warly@mandriva.com> 1.0.8-4mdk
- remove mandriva-theme non versionned provides

* Wed Sep 07 2005 Warly <warly@mandriva.com> 1.0.8-3mdk
- fix kdeglobals name

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.8-2mdk
- Move kdeglobals here

* Mon Sep 05 2005 Warly <warly@mandriva.com> 1.0.8-1mdk
- update screensaver image

* Fri Sep 02 2005 Warly <warly@mandriva.com> 1.0.7-1mdk
- fix bootloader progress bar

* Mon Aug 29 2005 Warly <warly@mandriva.com> 1.0.5-1mdk
- various theme corrections
- split screensaver

* Mon Aug 22 2005 Warly <warly@mandriva.com> 1.0.4-1mdk
- new themes

* Tue Aug 02 2005 Warly <warly@mandriva.com> 1.0.3-1mdk
- new background

* Wed Jul 27 2005 Warly <warly@mandriva.com> 1.0.2-1mdk
- include screen saver

* Tue Jul 12 2005 Warly <warly@mandriva.com> 1.0.1-1mdk
- fix configuration file which still refered to Mandrakelinux pathes

* Wed Jun 29 2005 Warly <warly@mandriva.com> 1.0.0-1mdk
- Mandrakelinux->Mandriva
- New theme

* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.6-1mdk
- The configuration file for 1280x1024 was wrong.
- Move down the text in resolution other than 800x600

* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.5-1mdk
- Really change the background

* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.4-1mdk
- Now default background is stars only

* Fri Apr  1 2005 Warly <warly@mandrakesoft.com> 0.3.3-1mdk
- fix the eyes

* Wed Mar 23 2005 Warly <warly@mandrakesoft.com> 0.3.2-1mdk
- fix lilo progress bar size

* Tue Mar 22 2005 Warly <warly@mandrakesoft.com> 0.3.1-1mdk
- include new definitions images
- try to update progress bar position in higher definitions than 800x600

* Mon Mar 21 2005 Warly <warly@mandrakesoft.com> 0.3.0-1mdk
- Limited Edition 2005 theme

* Thu Mar 10 2005 Warly <warly@mandrakesoft.com> 0.2.20-1mdk
- updated for rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 0.2.19-1mdk
- fix bad jpeg format

* Mon Feb 21 2005 Warly <warly@mandrakesoft.com> 0.2.18-1mdk
- theme for 10.2 beta 3
- add new x,y position for animation
- try to stop animation sooner, not to have it remaining in console mode

* Fri Feb  4 2005 Warly <warly@mandrakesoft.com> 0.2.17-1mdk
- theme for 10.2 beta 2

* Fri Jan 21 2005 Warly <warly@mandrakesoft.com> 0.2.16-1mdk
- 10.2 beta

* Fri Dec 24 2004 Warly <warly@mandrakesoft.com> 0.2.15-1mdk
- Cooker Xmas theme

* Mon Aug 23 2004 Warly <warly@mandrakesoft.com> 0.2.10-2mdk
- obsolete also mandrake-theme

* Tue Aug  3 2004 Warly <warly@mandrakesoft.com> 0.2.10-1mdk
- fix theme name in config file

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.9-1mdk
- fix corporate configuration files

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.8-1mdk
- fix post install scripts
- add prereq on bootplash for extra packages (server and desktop)

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.7-1mdk
- include corporate server and desktop theme
- more Mandrake->Mandrakelinux switches

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.5-4mdk
- coporate server 3.0

* Tue Jul 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-3mdk
- Euskara version

* Tue May 11 2004 Warly <warly@mandrakesoft.com> 0.2.5-2mdk
- 10.0 Shuttle version

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-1mdk
- switch lilo selection to white

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.4-1mdk
- fix timer displaying

* Tue Jan 20 2004 Warly <warly@mandrakesoft.com> 0.2.2-1mdk
- Try to have a little better lilo color choice

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.1-1mdk
- forget desktop background

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.0-1mdk
- renamed mandrake-theme
- test theme

* Sat Sep 20 2003 Warly <warly@mandrakesoft.com> 0.1.1-1mdk
- do nothing in %%post in upgrade

* Mon Sep 15 2003 Warly <warly@mandrakesoft.com> 0.1.0-1mdk
- replace black 1024 and 1280 images for powerpack and mandrake theme
- new lilo with progress bar

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.9-1mdk
- I am dead
- fix text in 800x600 mandrake/powerpack theme
- fix post powerpack theme script

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.8-1mdk
- next time I commit suicide

* Mon Sep  8 2003 Warly <warly@mandrakesoft.com> 0.0.7-1mdk
- fix progress bar position in 800x600 for default theme

* Fri Sep  5 2003 Warly <warly@mandrakesoft.com> 0.0.6-1mdk
- fix discovery 1024x768

* Fri Aug 29 2003 Warly <warly@mandrakesoft.com> 0.0.5-1mdk
- new discovery black background
- various post install script fixes
- new discovery lilo boot logo

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.4-1mdk
- s,backgrounds/mdk,mdk/backgrounds,
- fix remove_theme

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.3-1mdk
- fix theme installation during install

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.2-1mdk
- s,backgrounds,backgrounds/mdk,

* Mon Aug 25 2003 Warly <warly@mandrakesoft.com> 0.0.1-1mdk
- new theme package

# end of file
